from krakentools.groupconstants.genpoly.genpoly import GenPoly

# --- Read parametrizations from files

param1 = GenPoly.from_file("./gc/fuel_2g_lc.xs")

param2 = GenPoly.from_file(f"./gc/2g_axial.xs")

param3 = GenPoly.from_file(f"./gc/2g_poly_radial_corrected.xs")

# --- Sum these up to combine the materials
# --- Order DOES matter, the common data from first will override
# --- that of the second (poison constants, mdep regions etc.)
# --- Because of that it is best to have fuel here first

my_param = param1 + param2 + param3

# --- Write the parametrization to a file

fout = open(f"./group_constants_2g.xs", "w")
my_param.write_to_file(fout)
fout.close()
